task in_out {
	File vcf
	File vcf_idx

	File confidence_bed

	String sample_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg vcffilter -i ${vcf} -o ${sample_name}.insideBed.vcf.gz --include-bed=${confidence_bed}

		rtg vcffilter -i ${vcf} -o ${sample_name}.outsideBed.vcf.gz --exclude-bed=${confidence_bed}
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File in_vcf = "${sample_name}.insideBed.vcf.gz"
		File in_vcf_idx = "${sample_name}.insideBed.vcf.gz.tbi"
		File out_vcf = "${sample_name}.outsideBed.vcf.gz"
		File out_vcf_idx = "${sample_name}.outsideBed.vcf.gz.tbi"
	}
}