task validation {
	File sub_vcf
	File sub_vcf_idx

	File satellite
	File simple_repeat
	File SINE
	File LINE
	File LTR
	File low_complexity
	File SD
	File ins_breakpoint
	File del_breakpoint
	File mhc

	File sdf
	File D5_10X
	File D5_10X_idx

	String sample_name
	String tag
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.satellite.vcf.gz --include-bed=${satellite}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.simple_repeat.vcf.gz --include-bed=${simple_repeat}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.SINE.vcf.gz --include-bed=${SINE}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.LINE.vcf.gz --include-bed=${LINE}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.LTR.vcf.gz --include-bed=${LTR}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.low_complexity.vcf.gz --include-bed=${low_complexity}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.SD.vcf.gz --include-bed=${SD}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.ins_breakpoint.vcf.gz --include-bed=${ins_breakpoint}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.del_breakpoint.vcf.gz --include-bed=${del_breakpoint}

		rtg vcffilter -i ${sub_vcf} -o ${sample_name}.${tag}.mhc.vcf.gz --include-bed=${mhc}


		rtg vcfeval -b ${D5_10X} -c ${sample_name}.${tag}.satellite.vcf.gz -o ${sample_name}.${tag}.satellite -t ${sdf}

		rtg vcfeval -b ${D5_10X} -c ${sample_name}.${tag}.simple_repeat.vcf.gz -o ${sample_name}.${tag}.simple_repeat -t ${sdf}

		rtg vcfeval -b ${D5_10X} -c ${sample_name}.${tag}.SINE.vcf.gz -o ${sample_name}.${tag}.SINE -t ${sdf}

		rtg vcfeval -b ${D5_10X} -c ${sample_name}.${tag}.LINE.vcf.gz -o ${sample_name}.${tag}.LINE -t ${sdf}

		rtg vcfeval -b ${D5_10X} -c ${sample_name}.${tag}.LTR.vcf.gz -o ${sample_name}.${tag}.LTR -t ${sdf}

		rtg vcfeval -b ${D5_10X} -c ${sample_name}.${tag}.low_complexity.vcf.gz -o ${sample_name}.${tag}.low_complexity -t ${sdf}

		rtg vcfeval -b ${D5_10X} -c ${sample_name}.${tag}.SD.vcf.gz -o ${sample_name}.${tag}.SD -t ${sdf}

		rtg vcfeval -b ${D5_10X} -c ${sample_name}.${tag}.ins_breakpoint.vcf.gz -o ${sample_name}.${tag}.ins_breakpoint -t ${sdf}

		rtg vcfeval -b ${D5_10X} -c ${sample_name}.${tag}.del_breakpoint.vcf.gz -o ${sample_name}.${tag}.del_breakpoint -t ${sdf}	

		rtg vcfeval -b ${D5_10X} -c ${sample_name}.${tag}.mhc.vcf.gz -o ${sample_name}.${tag}.mhc -t ${sdf}	


		cp ${sample_name}.${tag}.satellite/summary.txt > ${sample_name}.${tag}.satellite.summary.txt
		cp ${sample_name}.${tag}.simple_repeat/summary.txt > ${sample_name}.${tag}.simple_repeat.summary.txt
		cp ${sample_name}.${tag}.SINE/summary.txt > ${sample_name}.${tag}.SINE.summary.txt
		cp ${sample_name}.${tag}.LINE/summary.txt > ${sample_name}.${tag}.LINE.summary.txt
		cp ${sample_name}.${tag}.LTR/summary.txt > ${sample_name}.${tag}.LTR.summary.txt
		cp ${sample_name}.${tag}.low_complexity/summary.txt > ${sample_name}.${tag}.low_complexity.summary.txt
		cp ${sample_name}.${tag}.SD/summary.txt > ${sample_name}.${tag}.SD.summary.txt
		cp ${sample_name}.${tag}.ins_breakpoint/summary.txt > ${sample_name}.${tag}.ins_breakpoint.summary.txt
		cp ${sample_name}.${tag}.del_breakpoint/summary.txt > ${sample_name}.${tag}.del_breakpoint.summary.txt
		cp ${sample_name}.${tag}.mhc/summary.txt > ${sample_name}.${tag}.mhc.summary.txt


	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File satellite_vcf = "${sample_name}.${tag}.satellite.vcf.gz"
		File simple_repeat_vcf = "${sample_name}.${tag}.simple_repeat.vcf.gz"
		File SINE_vcf = "${sample_name}.${tag}.SINE.vcf.gz"
		File LINE_vcf = "${sample_name}.${tag}.LINE.vcf.gz"
		File LTR_vcf = "${sample_name}.${tag}.LTR.vcf.gz"
		File low_complexity_vcf = "${sample_name}.${tag}.low_complexity.vcf.gz"
		File SD_vcf = "${sample_name}.${tag}.SD.vcf.gz"
		File ins_breakpoint_vcf = "${sample_name}.${tag}.ins_breakpoint.vcf.gz"
		File del_breakpoint_vcf = "${sample_name}.${tag}.del_breakpoint.vcf.gz"
		File mhc_vcf = "${sample_name}.${tag}.mhc.vcf.gz"
		File satellite_summary = "${sample_name}.${tag}.satellite.summary.txt"
		File simple_repeat_summary = "${sample_name}.${tag}.simple_repeat.summary.txt"
		File SINE_summary = "${sample_name}.${tag}.SINE.summary.txt"
		File LINE_summary = "${sample_name}.${tag}.LINE.summary.txt"
		File LTR_summary = "${sample_name}.${tag}.LTR.summary.txt"
		File low_complexity_summary = "${sample_name}.${tag}.low_complexity.summary.txt"
		File SD_summary = "${sample_name}.${tag}.SD.summary.txt"
		File ins_breakpoint_summary = "${sample_name}.${tag}.ins_breakpoint.summary.txt"
		File del_breakpoint_summary = "${sample_name}.${tag}.del_breakpoint.summary.txt"
		File mhc_summary = "${sample_name}.${tag}.mhc.summary.txt"
	}
}